<?php

class actionRatinglikeSubmit extends cmsAction {

    public function run(){

        //if (!$this->request->isAjax()){ cmsCore::error404(); }
       
        // включено ли голосование от гостей?
        if(empty($this->options['allow_guest_vote']) && !$this->cms_user->is_logged){
            return $this->cms_template->renderJSON(array(
                'error' => true,
                'message' => LANG_RATINGLIKE_DISABLED
            ));
        }
        
        $opt_groups = !empty($this->options['groups']) ? $this->options['groups'] : array();
        
        if($this->cms_user->isUserInGroups($this->cms_user->groups, $opt_groups)){
            return $this->cms_template->renderJSON(array(
                'error' => true,
                'message' => LANG_RATINGLIKE_GROUPS_DISABLED
            ));
        }
        
        
        $type_id = $this->request->get('type_id', 0); //ID типа контента
        $item_id = $this->request->get('item_id', 0); //ID контента

        
        $is_valid = is_numeric($type_id) && is_numeric($item_id);
        
        if (!$is_valid){
            return $this->cms_template->renderJSON(array(
                'success' => false,
                'message' => LANG_ERROR
            ));
        }
        
        
        $ctype = $this->model_content->getContentType($type_id, 'id'); //Получаем тип контента

        $item = $this->model_content->getItemById('con_'.$ctype['name'], $item_id);//Контент
        
        if($item){
            $item['page_url'] = href_to($ctype['name'], $item['slug'].'.html');
        }

        $vote = array(
            'type_id' => $type_id,
            'item_id' => $item_id,
            'user_id' => ($this->cms_user->id ? $this->cms_user->id : null),
            'user_ip' => sprintf('%u', ip2long(cmsUser::getIp()))
        );
        
        $cookie_key = $ctype['name'].$item_id;
        
        $is_voted = $this->model->isVote($vote, $cookie_key, $this->cms_user->is_logged);
        
        
     
        
        if ($is_voted){
            // удаляем куку
            cmsUser::unsetCookie($cookie_key); // год
  
            
            $this->model->deleteVote($vote, $this->cms_user->is_logged);
            $rating = $this->model->unlike($ctype['name'], $item); 
            
            return $this->cms_template->renderJSON(array(
                'unlike' => true,
            ));
            
            
            
        } else {
            
            $this->model->addVote($vote);
            $this->model->like($ctype['name'], $item);

            // запоминаем в куках
            cmsUser::setCookie($cookie_key, 1, 2628000); // год
            
            
            if(!empty($this->options['is_notice_author']) && $item['user_id'] != $this->cms_user->id) {
                // ссылка на проголосовавшего
                if($this->cms_user->is_logged){
                    $user_link = '<a href="'.href_to_profile($this->cms_user).'">'.$this->cms_user->nickname.'</a>';
                } else {
                    $user_link = LANG_GUEST;
                }

                // уведомляем автора записи
                $this->controller_messages->addRecipient($item['user_id'])->sendNoticePM(array(
                    'content' => sprintf(LANG_RATINGLIKE_PM,
                            $user_link,
                            $item['page_url'],
                            $item['title'])
                ));
            }
        

            return $this->cms_template->renderJSON(array(
                'like' => true,
            ));
        }
        
       

    }

}
