<?php

class actionRatinglikeVoted extends cmsAction{

    public function run(){

        //if (!$this->request->isAjax()){ cmsCore::error404(); }
        if (!$this->options['is_show_voted']){ cmsCore::error404(); }

        // Получаем параметры
        $type_id = $this->request->get('type_id', 0); //ID типа контента
        $item_id = $this->request->get('item_id', 0); //ID контента
        $is_list_only = $this->request->get('is_list_only');

        $page = $this->request->get('page', 1);
        $perpage = 10;

        $this->model->filterEqual('type_id', $type_id)->filterEqual('item_id', $item_id)->
                orderBy('id', 'desc')->
                limitPage($page, $perpage);

        $total = $this->model->getResultsCount();
        $votes = $this->model->getVotes();

        $pages = ceil($total / $perpage);
        
        
        if ($is_list_only){

            $this->cms_template->render('voted_list', array(
                'votes' => $votes,
                'user'  => $this->cms_user
            ));

        }
        
        if (!$is_list_only){
            $this->cms_template->render('voted', array(
                'type_id' => $type_id,
                'item_id' => $item_id,
                'votes' => $votes,
                'user'  => $this->cms_user,
                'page'  => $page,
                'pages' => $pages,
                'perpage'  => $perpage
            ));
        }


    }

}
