<?php

class formRatinglikeOptions extends cmsForm {

    public function init() {

        return array(
            
            array(
                'type' => 'fieldset',
                'title' => LANG_RATINGLIKE_ACCESS,
                'childs' => array(

                    new fieldCheckbox('allow_guest_vote', array(
                        'title' => LANG_RATINGLIKE_ALLOW_GUEST_VOTE,
                    )),
                    
                    new fieldList('groups', array(
                        'title' => LANG_RATINGLIKE_GROUPS,
                        'is_multiple' => true,
                        'generator' => function(){

                            $users_model = cmsCore::getModel('users');
                            $groups = $users_model->getGroups();

                            foreach ($groups as $group) {
                                $items[$group['id']] = $group['title'];
                            }

                            return $items;

                        }
                    ))  

                )
            ),
            
            

            array(
                'type' => 'fieldset',
                'title' => LANG_RATINGLIKE_DISPLAY,
                'childs' => array(

                    new fieldList('сtypes', array(
                        'title' => LANG_RATINGLIKE_CONTENT_TYPES,
                        'is_multiple' => true,
                        'rules' => array(
                            array('required'),
                        ),    
                        'generator' => function(){

                            $content_model = cmsCore::getModel('content');
                            $types = $content_model->getContentTypes();

                            $items = array();

                            foreach ($types as $type) {
                                $items[$type['id']] = $type['title'];
                            }

                            return $items;

                        }
                    )),
                            
                    new fieldList('pages', array(
                        'title' => LANG_RATINGLIKE_PAGES,
                        'is_multiple' => true,
                        'rules' => array(
                            array('required'),
                        ),
                        'items' => array(
                            'post' => LANG_RATINGLIKE_PAGES_POST,
                            'list' => LANG_RATINGLIKE_PAGES_LIST,
                        )
                    )), 
                            
                    new fieldCheckbox('is_show_voted', array(
                        'title' => LANG_RATINGLIKE_IS_SHOW_VOTED,
                    )),
        
                            
                     
                )
            ),
                            
            array(
                'type' => 'fieldset',
                'title' => LANG_RATINGLIKE_NOTIFICATIONS,
                'childs' => array(

                    new fieldCheckbox('is_notice_author', array(
                        'title' => LANG_RATINGLIKE_IS_NOTICE_AUTHOR,
                    )),

                )
            ),                    
                            

        );

    }

}
