<?php

class onRatinglikeContentBeforeItem extends cmsAction {

    public function run($data){
        
        list($ctype, $item, $fields) = $data;

        $opt_ctypes = !empty($this->options['сtypes']) ? $this->options['сtypes'] : array();
        $opt_pages = !empty($this->options['pages']) ? $this->options['pages'] : '';

        
        
        // Рейтинг
        if ($this->isControllerEnabled('ratinglike') && $ctype['is_rating'] && in_array($ctype['id'], $opt_ctypes)){
   
            $user = cmsUser::getInstance(); 

            $vote = array(
                'type_id' => $ctype['id'],
                'item_id'    => $item['id'],
                'user_id'       => ($user->id ? $user->id : 0),
                'user_ip'       => sprintf('%u', ip2long(cmsUser::getIp()))
            );

            $cookie_key = $vote['type_id'].$vote['item_id'];

            $is_voted = $this->model->isVote($vote, $cookie_key, $user->is_logged);

            $rating_controller = cmsCore::getController('ratinglike');
            
            if(in_array('post', $opt_pages)) {
                $item['rating_widget'] = $rating_controller->getWidget($ctype, $item, $is_voted, $user->is_logged);
            } else {
                $item['rating_widget'] = '';
            }
            
            // добавляем блок рейтинга в самое начало
            array_unshift($item['info_bar'], [
                'css'   => 'bi_ratinglike',
                'html'  => $item['rating_widget']
            ]);
            
        }
        
        


        return array($ctype, $item, $fields);

    }

}
