<?php

class onRatinglikeContentBeforeList extends cmsAction {

    public function run($data){
        
        list($ctype, $items) = $data;

        
        $opt_ctypes = !empty($this->options['сtypes']) ? $this->options['сtypes'] : array();
        $opt_pages = !empty($this->options['pages']) ? $this->options['pages'] : '';
        
        
        // Рейтинг
        if ($this->isControllerEnabled('ratinglike') && $ctype['is_rating'] && in_array($ctype['id'], $opt_ctypes)){

            $user = cmsUser::getInstance(); 
            
            $rating_controller = cmsCore::getController('ratinglike');
            foreach($items as $id => $item){
                $vote = array(
                    'type_id' => $ctype['id'],
                    'item_id'    => $items[$id]['id'],
                    'user_id'       => ($user->id ? $user->id : 0),
                    'user_ip'       => sprintf('%u', ip2long(cmsUser::getIp()))
            );

            $cookie_key = $vote['type_id'].$vote['item_id'];

            $is_voted = $this->model->isVote($vote, $cookie_key, $user->is_logged);
                
            if(in_array('list', $opt_pages)) {   
                $items[$id]['rating_widget'] = $rating_controller->getWidget($ctype, $item, $is_voted, $user->is_logged);
            } else {
                $items[$id]['rating_widget'] = '';
            }
            
            // добавляем блок рейтинга в самое начало
            array_unshift($items[$id]['info_bar'], [
                'css'   => 'bi_ratinglike',
                'html'  => $items[$id]['rating_widget']
            ]);
            
            }
        }


        return array($ctype, $items);
    
    }

}

