<?php

class modelRatinglike extends cmsModel {
    

    public function addVote($vote){
       return $this->insert('ratinglike_log', $vote); 
    }
    
    public function deleteVote($vote, $is_logged = true){
        
       if($is_logged) {
            $this->filterEqual('user_id', $vote['user_id']);
        } else {
            $this->filterEqual('user_ip', $vote['user_ip']);
        } 
        
        
       $this->filterEqual('type_id', $vote['type_id'])
               ->filterEqual('item_id', $vote['item_id']);
       return $this->deleteFiltered('ratinglike_log');
    }
 
    public function like($type, $item){
       return $this->update('con_'.$type, $item['id'], array(
           'rating' => (int)$item['rating'] + 1
       ));
    }
    
    public function unlike($type, $item){
       return $this->update('con_'.$type, $item['id'], array(
           'rating' => (int)$item['rating'] - 1
       ));
    }

    
    public function isVote($vote, $cookie_key, $is_logged = true){
        
        if(cmsUser::getCookie($cookie_key)){
            
            return true;
            
        }
        
        if($is_logged) {
            $this->filterEqual('user_id', $vote['user_id']);
        } else {
            $this->filterEqual('user_ip', $vote['user_ip']);
        }
        
        $this->filterEqual('type_id', $vote['type_id']);
        $this->filterEqual('item_id', $vote['item_id']);

        $votes_count = $this->getCount('ratinglike_log');

        $this->resetFilters();

        return $votes_count > 0 ? true : false;  

     }
     
     
     public function getResults(){
       return $this->get('ratinglike_log');
    }
    
    public function getResultsCount(){
       return $this->getCount('ratinglike_log');
    }
     

    public function getVotes(){

        $this->joinUser('user_id', array(), 'left');

        return $this->get('ratinglike_log', function($item, $model){

            $item['user_ip'] = long2ip($item['user_ip']);

            // формируем номер гостя
            $_okets = explode('.', $item['user_ip']);

            $item['user'] = array(
                'id'       => $item['user_id'],
                'nickname' => (!empty($item['user_nickname']) ? $item['user_nickname'] : LANG_GUEST.' №'.array_sum($_okets)),
                'avatar'   => $item['user_avatar']
            );

            return $item;

        });

    }
 
}
